Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class CounteredMeetingInvitation

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.mail.Message
              portlets.compoze.groupware.mail.MeetingRequest
                  portlets.compoze.groupware.mail.CounteredMeetingInvitation

All Implemented Interfaces:
  java.io.Serializable

public class CounteredMeetingInvitation
extends MeetingRequest
implements java.io.Serializable

This class represents a countered meeting invitation.

See Also:
  Serialized Form

Constructor Summary
`CounteredMeetingInvitation(java.lang.String sID)` Constructor

Method Summary
`java.util.Date` | `getProposedEndTime()` Gets the proposed end time of the meeting.
`java.util.Date` | `getProposedStartTime()` Gets the proposed start time of the meeting.
`java.lang.String[]` | `getWhenArgs(java.util.Locale locale, java.util.TimeZone timeZone, boolean bGetProposedWhen)` Gets the i18n resource args for when the appointment occurs.
`void` | `setProposedEndTime(java.util.Date proposedEndTime)` Sets the proposed end time of the meeting.
`void` | `setProposedStartTime(java.util.Date proposedStartTime)` Sets the proposed start time of the meeting.

Methods inherited from class portlets.compoze.groupware.mail.MeetingRequest
`getComments, getEndTime, getLocation, getOrganizer, getStartTime, getWhenArgs, getWhenKey, isAcceptAvailable, isAllDayEvent, isCounterPrevented, isDelegatePrevented, isOrganizer, isRepeating, setComments, setEndTime, setIsAcceptAvailable, setIsAllDayEvent, setIsCounterPrevented, setIsDelegatePrevented, setIsOrganizer, setIsRepeating, setLocation, setOrganizer, setStartTime`

Methods inherited from class portlets.compoze.groupware.mail.Message
`getEmbeddedMessageIndex, getFlag, getFolderID, getFolderName, getParentMessageID, getRecipientInfo, getSenderInfo, getSensitivity, getTimeReceived, getToRecipientsDisplay, isEmbedded, isPreventForward, isRead, isReplySentFlag, setEmbeddedMessageIndex, setFlag, setFolderID, setFolderName, setIsEmbedded, setIsPreventForward, setIsRead, setIsReplySentFlag, setParentMessageID, setRecipientInfo, setSenderInfo, setSensitivity, setTimeReceived, setToRecipientsDisplay`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounteredMeetingInvitation

    public CounteredMeetingInvitation(java.lang.String sID)

  Constructor

Parameters:
  `sID` - the ID

Method Detail

### getProposedStartTime

    public java.util.Date getProposedStartTime()

  Gets the proposed start time of the meeting.

  Returns:
    the proposed start time or `null` for none

### setProposedStartTime

    public void setProposedStartTime(java.util.Date proposedStartTime)

  Sets the proposed start time of the meeting.

  Parameters:
    `proposedStartTime` - the proposed start time of the meeting

### getProposedEndTime

    public java.util.Date getProposedEndTime()

  Gets the proposed end time of the meeting.

  Returns:
    the proposed end time or `null` for none

### setProposedEndTime

    public void setProposedEndTime(java.util.Date proposedEndTime)

  Sets the proposed end time of the meeting.

### getWhenArgs

    public java.lang.String[] getWhenArgs(java.util.Locale locale,
                                          java.util.TimeZone timeZone,
                                          boolean bGetProposedWhen)

  Gets the i18n resource args for when the appointment occurs.

  Parameters:
    `locale` - the locale
    `timeZone` - the time zone
    `bGetProposedWhen` - code>true to return the proposed time of the event or `false` for the original time of the event
  Returns:
    an array of args

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.